summaryrefslogtreecommitdiff
path: root/debian/openssh-known-hosts.postrm
diff options
context:
space:
mode:
authorTimo Weingärtner <timo@tiwe.de>2013-01-10 14:36:49 +0100
committerTimo Weingärtner <timo@tiwe.de>2013-01-10 14:47:06 +0100
commit16140dc01ef2bc85be43884e7870b6358e64fe8d (patch)
tree199d903b19b067789100af8d187578bce99f6852 /debian/openssh-known-hosts.postrm
parentd4b55c00f9c41df1bec210a82a85fa8ba8195537 (diff)
downloadopenssh-known-hosts-16140dc01ef2bc85be43884e7870b6358e64fe8d.tar.gz
update maintainerscripts
* add postrm to clean up cache and lib dirs * no longer remove stuff on upgrades in prerm Git-Dch: full
Diffstat (limited to 'debian/openssh-known-hosts.postrm')
-rw-r--r--debian/openssh-known-hosts.postrm35
1 files changed, 35 insertions, 0 deletions
diff --git a/debian/openssh-known-hosts.postrm b/debian/openssh-known-hosts.postrm
new file mode 100644
index 0000000..b1e2c51
--- /dev/null
+++ b/debian/openssh-known-hosts.postrm
@@ -0,0 +1,35 @@
+#!/bin/sh
+# postrm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ find /var/cache/openssh-known-hosts/ -mindepth 1 -delete
+ find /var/lib/openssh-known-hosts/ -mindepth 1 -delete
+ ;;
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0